define(["three", "skySphere", "objects"], 
    function(THREE, skySphere, objects) {
        var scene = new THREE.Scene();
        var hats;
        var numHats = 20;

        scene.init = function() {
            var hemiLight = new THREE.HemisphereLight(0xFFFFFF, 0x666666, 1); 

            scene.add(hemiLight);
            scene.add(skySphere);

            hats = new Array(numHats);
            for(var i = 0;i < hats.length;++i)
            {
                hats[i] = objects.hat.clone();
                scene.add(hats[i]);
            }
        }

        scene.enter = function() {
        }

        scene.update = function(t, dt) {
        }

        return scene;
    });